html {
    /* scroll-behavior: smooth; */
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Lato', sans-serif;
    color: whitesmoke;
}

/*** preloader ****/
.loader {
    width: 100%;
    height: 100%;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 200;
}

.loader .inner {
    width: 100%;
    height: 100%;
    background: url(../images/preloader.gif) center center no-repeat;
}
/*** end preloader ***/
/*** Landing page ****/
#landing-page {
    z-index: 1;
    height: 100vh;
    background-image: url("../images/bg5.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
    position: relative;
}
.overlay {
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 2;
    background-color: rgba(0,0,0,.4); 
}

.title-message {
    position: absolute;
    width: 100%;
    height: 250px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    text-align: center; 
}
.title-message .heading p {
    text-shadow: 0px 2px 5px rgba(0,0,0,0.4);
    font-weight: 100px;
    letter-spacing: 5px;
}
.heading {
    z-index: 4;
}

.title-message .heading .name {
    font-size: 4em;
    margin:0;
    padding:0;
    font-weight: bold;
}
.title-message .heading .title {
    font-size: 3em;
    font-weight: bolder;
}
.heading .title span {
    color: #FF4136;
}

/* scroll button */
.button-wrap {
    position: absolute;
    top: 75%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.btn-animated {
    border-radius: 5px;
    position: relative;
    display: block;
    color: whitesmoke;
    text-decoration: none;
    margin: 30px 0;
    font-size: 14px;
    border: 2px solid #FF4136;
    padding: 14px 50px;
    text-transform: uppercase;
    overflow: hidden;
    transition: 1s all ease;
}

.btn-animated:hover {
    text-decoration: none;
    color: whitesmoke;
    /* font-weight: bold; */
}

.btn-animated::before {
    background-color: #FF4136;
    content:"";
    /* width: 100%;
    height: 100%; */
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: -1;
    transition: all 0.6s ease;
    transform: translate(-50%, -50%);
}
.btn-animated::before {
    width: 100%;
    height: 0;
    transform: translate(-50%, -50%) rotate(45deg);

    /* btn1 */
    /* width: 0;
    height: 100%; */
    /* btn2 */
    /* width: 100%;
    height: 0; */
}
.btn-animated:hover::before {
    height: 380%;
    /* width: 100%; */
    /* height: 100%; */
}

/**** TYPED.JS CSS MOD ****/
.typed-cursor {
    opacity: 1;
    -webkit-animation: blink .9s infinite;
    -moz-animation: blink .9s infinite;
    animation: blink .9s infinite;
}
@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}
@-webkit-keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}
@-moz-keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

.typed {
    display: inline;
}

/**** Landing page end ****/

/*** About ****/
.about-section {
    padding: 100px 0;
}
.about-img {
    max-width: 100%;
    height: auto;
}
.about-me > * {
    color: #333;
}
.about-me p {
    font-size: 1.2em;
}
/*** End about ***/
/*** Skills ***/
.skills-section {
    background-color: #FF4136;
    padding: 50px 0;
}
.skills-heading {
    font-size: 1.8em;
}
.skills-text {
    font-size: 1.2em;
}
.icons {
    font-size: 120px;
}
.owl-carousel > * {
    text-align: center;
}
.owl-theme {
    padding-top: 50px;
}

.owl-carousel .owl-dots button {
    background: rgba(0,0,0,0.6);
    outline: none;
    border: none;
    padding: 3px !important;
    border-radius: 50%;
    margin-right: 5px;
    cursor: pointer;
}

.owl-carousel .owl-dots button span {
    display: block;
    padding: 4px;
    background: transparent;
    border-radius: 50%;
    transition: all 200ms ease;
}

.owl-carousel .owl-dots button.active span {
    background-color: #fff;
}
/*** End Skills ***/
/**** Projects ****/
.project-section {
    padding: 50px 0;
}

#project-title {
    color: #333;
}
.section-title {
    font-size: 2.2em;
    font-weight: bold;
    margin-bottom: 10px;
}
.project-img {
    height: 100%;
    width: 100%;
}
#wip {
    /* height: ; */
}
#row-1, #row-2 {
    padding-bottom: 30px;
}
/*** End project ***/
/*** Contact & footer ****/
footer {
    background-color: #FF4136;
    padding: 50px 0;
    text-align: center;
}

.footer-text {
    margin: 0;
    padding: 0;
}
#text {
    font-size: 1.4em;
}
#contact-title {
    font-weight: bold;
}
/***end contact & footer ***/
/*** Nav ***/
#navigation {
    background: #FF4136;
    padding: 10px 30px;
    z-index: 100;
    width: 100%;
}

#navigation li {
    padding: 0 10px;
}

#navigation li a {
    color: whitesmoke;
    font-weight: bold;
}

.navbar-brand {
    color: whitesmoke;
}
.navbar-brand:hover {
    color: whitesmoke;
}

.navbar-toggler-icon {
    z-index: 50;
}

.fixedNav #navigation {
    position: fixed;
    top: 0;
}

#navigation a {
    font-size: 1.2em;
    font-weight: bold;
}


.active-nav {
    /* border-bottom: solid 2px whitesmoke; */
    background: rgb(231, 52, 43);
    border-radius: 8px;
    transition: width 1s ease-in-out;
}
.active-nav::after {
    content: '';
    bottom: 0;
    height: 2px;
    background: rgb(231, 52, 43);
    transition: width 1s;
}

.nav-link::after {
    content: '';
    display: block;
    width: 0;
    height: 5px;
    background: rgb(231, 52, 43);
    transition: width .6s;
}

.nav-link:hover::after {
    width: 100%;
    /* transition: width .3s; */
}


/*** End Nav ***/
/*******************/
/*** media query ***/
/*** M ***/
@media (min-width: 580px) and (max-width: 767px) {
    .title-message .heading p {
        text-shadow: 0px 2px 5px rgba(0,0,0,0.4);
        font-weight: 100px;
        letter-spacing: 5px;
    }
    .heading {
        z-index: 4;
        /* margin-bottom: 50px; */
    }
    
    .title-message .heading .name {
        font-size: 3.5em;
        margin:0;
        padding:0;
        font-weight: bold;
    }
    .title-message .heading .title {
        font-size: 2.5em;
        font-weight: bolder;
    }
    .heading .title span {
        color: #FF4136;
    }
    /* scroll button */
    .button-wrap {
        position: absolute;
        top: 75%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .btn-animated {
        border-radius: 5px;
        position: relative;
        display: block;
        color: whitesmoke;
        text-decoration: none;
        margin: 30px 0;
        font-size: 14px;
        border: 2px solid #FF4136;
        padding: 14px 50px;
        text-transform: uppercase;
        overflow: hidden;
        transition: 1s all ease;
    }

    .btn-animated:hover {
        text-decoration: none;
        color: whitesmoke;
        /* font-weight: bold; */
    }

    .btn-animated::before {
        background-color: #FF4136;
        content:"";
        /* width: 100%;
        height: 100%; */
        position: absolute;
        top: 50%;
        left: 50%;
        z-index: -1;
        transition: all 0.6s ease;
        transform: translate(-50%, -50%);
    }
    .btn-animated::before {
        width: 100%;
        height: 0;
        transform: translate(-50%, -50%) rotate(45deg);

        /* btn1 */
        /* width: 0;
        height: 100%; */
        /* btn2 */
        /* width: 100%;
        height: 0; */
    }
    .btn-animated:hover::before {
        height: 380%;
        /* width: 100%; */
        /* height: 100%; */
    }
}
/*** Mobile S ****/
@media (min-width: 425px) and (max-width: 579px) {
    .title-message .heading p {
        text-shadow: 0px 2px 5px rgba(0,0,0,0.4);
        font-weight: 100px;
        letter-spacing: 5px;
    }
    .heading {
        z-index: 4;
        /* margin-bottom: 50px; */
    }
    
    .title-message .heading .name {
        font-size: 3.5em;
        margin:0;
        padding:0;
        font-weight: bold;
    }
    .title-message .heading .title {
        font-size: 2.5em;
        font-weight: bolder;
    }
    .heading .title span {
        color: #FF4136;
    }
    /* scroll button */
    .button-wrap {
        position: absolute;
        top: 85%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .btn-animated {
        border-radius: 5px;
        position: relative;
        display: block;
        color: whitesmoke;
        text-decoration: none;
        margin: 30px 0;
        font-size: 14px;
        border: 2px solid #FF4136;
        padding: 14px 50px;
        text-transform: uppercase;
        overflow: hidden;
        transition: 1s all ease;
    }

    .btn-animated:hover {
        text-decoration: none;
        color: whitesmoke;
        /* font-weight: bold; */
    }

    .btn-animated::before {
        background-color: #FF4136;
        content:"";
        /* width: 100%;
        height: 100%; */
        position: absolute;
        top: 50%;
        left: 50%;
        z-index: -1;
        transition: all 0.6s ease;
        transform: translate(-50%, -50%);
    }
    .btn-animated::before {
        width: 100%;
        height: 0;
        transform: translate(-50%, -50%) rotate(45deg);
    }
    .btn-animated:hover::before {
        height: 380%;
    }
}
/*** mobile S ****/
@media (min-width: 375px) and (max-width: 424px) {
    .title-message .heading p {
        text-shadow: 0px 2px 5px rgba(0,0,0,0.4);
        font-weight: 100px;
        letter-spacing: 5px;
    }
    .heading {
        z-index: 4;
        /* margin-bottom: 50px; */
    }
    
    .title-message .heading .name {
        font-size: 3em;
        margin:0;
        padding:0;
        font-weight: bold;
    }
    .title-message .heading .title {
        margin-top: 10px;
        font-size: 2em;
        font-weight: bolder;
    }
    .heading .title span {
        color: #FF4136;
    }
    /* scroll button */
    .button-wrap {
        position: absolute;
        top: 75%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .btn-animated {
        border-radius: 5px;
        position: relative;
        display: block;
        color: whitesmoke;
        text-decoration: none;
        margin: 30px 0;
        font-size: 14px;
        border: 2px solid #FF4136;
        padding: 14px 30px;
        text-transform: uppercase;
        overflow: hidden;
        transition: 1s all ease;
    }

    .btn-animated:hover {
        text-decoration: none;
        color: whitesmoke;
        /* font-weight: bold; */
    }

    .btn-animated::before {
        background-color: #FF4136;
        content:"";
        /* width: 100%;
        height: 100%; */
        position: absolute;
        top: 50%;
        left: 50%;
        z-index: -1;
        transition: all 0.6s ease;
        transform: translate(-50%, -50%);
    }
    .btn-animated::before {
        width: 100%;
        height: 0;
        transform: translate(-50%, -50%) rotate(45deg);
    }
    .btn-animated:hover::before {
        height: 380%;
    }
}
/*** Mobile XS ****/
@media (min-width: 320px) and (max-width: 374px) {
    
    .title-message .heading .name {
        font-size: 2.5em;
        margin:0;
        padding:0;
        font-weight: bold;
    }
    .title-message .heading .title {
        margin-top: 10px;
        font-size: 1.5em;
        font-weight: bolder;
    }
    .heading .title span {
        color: #FF4136;
    }
    /* scroll button */
    .button-wrap {
        position: absolute;
        top: 60%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .btn-animated {
        padding: 14px 30px;
    }
}
